
{: test that assignment with range error causes a fatal error }

{$d+}
program d071( output );

var
   i :  8..12;
begin
   i := 8;
   i := i-1; { range error }
   writeln( 'fails: range error not detected in assignment' );
end. { d071 }

